ResourceDisplaySummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.ResourceDisplaySummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class ResourceDisplaySummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.ResourceTypeDisplaySummary
          org.hyperic.hq.bizapp.shared.uibeans.SingletonDisplaySummary
              org.hyperic.hq.bizapp.shared.uibeans.ResourceDisplaySummary

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class ResourceDisplaySummary

extends SingletonDisplaySummary
implements java.io.Serializable

Monitoring pages show list of child/associated resources and their current health and the number of alerts they have. This bean represents a row in the UI tables that render that. If getResourceTypeId().intValue()==getResourceTypeId().intValue() then the resources better be services, since that's the only valid case where that is true.

See Also:
  Serialized Form

Constructor Summary
`ResourceDisplaySummary()`

Method Summary
`java.lang.Boolean` | `getHasMetrics()` Returns the hasMetrics.
`java.lang.Boolean` | `getHasParentResource()`
`java.lang.Boolean` | `getMonitorable()`
`java.lang.Integer` | `getParentResourceId()` If this is null, it's assumed that there is no parent, so the caller should check getHasParentResource()
`java.lang.String` | `getParentResourceName()` The parent resource, if any, of the current resource.
`java.lang.Integer` | `getParentResourceTypeId()`
`java.lang.String` | `getResourceEntityTypeName()`
`java.lang.Integer` | `getResourceId()`
`java.lang.String` | `getResourceName()`
`java.lang.Integer` | `getResourceTypeId()`
`java.lang.String` | `getResourceTypeName()` Returns the resourceTypeName.
`java.lang.Boolean` | `getShowAlerts()` Returns the showAlerts.
`void` | `setHasMetrics(java.lang.Boolean hasMetrics)` Sets the hasMetrics.
`void` | `setHasParentResource(java.lang.Boolean hasParentResource)` Sets the hasParentResource.
`void` | `setMonitorable(java.lang.Boolean monitorable)` Sets the monitorable flag.
`void` | `setParentResourceId(java.lang.Integer parentResourceId)` Sets the parentResourceId.
`void` | `setParentResourceName(java.lang.String parentResourceName)` Sets the parentResourceName.
`void` | `setParentResourceTypeId(java.lang.Integer parentResourceTypeId)` Sets the parentResourceTypeId.
`void` | `setResourceEntityTypeName(java.lang.String resourceEntityTypeName)` Sets the resourceEntityTypeName.
`void` | `setResourceName(java.lang.String resourceName)` Sets the resourceName.
`void` | `setResourceTypeName(java.lang.String resourceTypeName)` Sets the resourceTypeName.
`void` | `setShowAlerts(java.lang.Boolean showAlerts)` Sets the showAlerts.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.SingletonDisplaySummary
`getEntityId, getEntityName, getSummaryType, setEntityId, setEntityName`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.ResourceTypeDisplaySummary
`compareTo, getAppdefTypeId, getAvailability, getAvailTempl, getNumResources, getPerformance, getPerformanceUnits, getPerformTempl, getResourceType, getThroughput, getThroughputTempl, getThroughputUnits, setAppdefTypeId, setAvailability, setAvailTempl, setNumResources, setPerformance, setPerformanceUnits, setPerformTempl, setResourceType, setThroughput, setThroughputTempl, setThroughputUnits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceDisplaySummary

    public ResourceDisplaySummary()

Method Detail

### getHasMetrics

    public java.lang.Boolean getHasMetrics()

  Returns the hasMetrics. If the resource has metrics associated with it, either because the current timeframe of interest has metrics or perhaps it doesn't have metrics because the plugin doesn't define any this flag must be set.

  Returns:
    Boolean

### setHasMetrics

    public void setHasMetrics(java.lang.Boolean hasMetrics)

  Sets the hasMetrics.

  Parameters:
    `hasMetrics` - The hasMetrics to set

### getShowAlerts

    public java.lang.Boolean getShowAlerts()

  Returns the showAlerts.

  Returns:
    Boolean

### setShowAlerts

    public void setShowAlerts(java.lang.Boolean showAlerts)

  Sets the showAlerts.

  Parameters:
    `showAlerts` - The showAlerts to set

### getParentResourceId

    public java.lang.Integer getParentResourceId()

  If this is null, it's assumed that there is no parent, so the caller should check getHasParentResource()

  Returns:
    Integer

### getParentResourceName

    public java.lang.String getParentResourceName()

  The parent resource, if any, of the current resource. For a webapp, that might be the server itself or it could be another service, such as an EAR.

  Returns:
    String

### getResourceId

    public java.lang.Integer getResourceId()

  Returns:
    Integer

### getResourceName

    public java.lang.String getResourceName()

  Returns:
    String

### getResourceEntityTypeName

    public java.lang.String getResourceEntityTypeName()

  Returns:
    String

### setParentResourceId

    public void setParentResourceId(java.lang.Integer parentResourceId)

  Sets the parentResourceId.

  Parameters:
    `parentResourceId` - The parentResourceId to set

### setParentResourceName

    public void setParentResourceName(java.lang.String parentResourceName)

  Sets the parentResourceName.

  Parameters:
    `parentResourceName` - The parentResourceName to set

### setResourceName

    public void setResourceName(java.lang.String resourceName)

  Sets the resourceName.

  Parameters:
    `resourceName` - The resourceName to set

### setResourceEntityTypeName

    public void setResourceEntityTypeName(java.lang.String resourceEntityTypeName)

  Sets the resourceEntityTypeName.

  Parameters:
    `resourceEntityTypeName` - The resourceEntityTypeName to set

### getParentResourceTypeId

    public java.lang.Integer getParentResourceTypeId()

  Returns:
    Integer

### getResourceTypeId

    public java.lang.Integer getResourceTypeId()

  Returns:
    Integer

### setParentResourceTypeId

    public void setParentResourceTypeId(java.lang.Integer parentResourceTypeId)

  Sets the parentResourceTypeId.

  Parameters:
    `parentResourceTypeId` - The parentResourceTypeId to set

### getResourceTypeName

    public java.lang.String getResourceTypeName()

  Returns the resourceTypeName.

  Returns:
    String

### setResourceTypeName

    public void setResourceTypeName(java.lang.String resourceTypeName)

  Sets the resourceTypeName.

  Parameters:
    `resourceTypeName` - The resourceTypeName to set

### getHasParentResource

    public java.lang.Boolean getHasParentResource()

  Returns:
    Boolean

### setHasParentResource

    public void setHasParentResource(java.lang.Boolean hasParentResource)

  Sets the hasParentResource.

  Parameters:
    `hasParentResource` - The hasParentResource to set

### getMonitorable

    public java.lang.Boolean getMonitorable()

  Returns:
    Boolean

### setMonitorable

    public void setMonitorable(java.lang.Boolean monitorable)

  Sets the monitorable flag.

  Parameters:
    `monitorable` - The monitorable to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SingletonDisplaySummary`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.